import java.net.URL;
import java.io.File;
import javax.swing.JEditorPane;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.WindowConstants;
import javax.swing.text.EditorKit;
import javax.swing.text.html.HTMLDocument;
/** This class is used to implement the Help Menu for displaying help
 *
 * @author Johnny John
 * @version 1.1
 * @see JFrame
 */
public class HTMLDisplay extends JFrame {

     /** Creates the HTML display object
      * @param s the url
      * @param t  
      */
     HTMLDisplay(String s, String t) {
        File test=new File(s);
        JEditorPane jep = new JEditorPane();
        jep.setEditable(false);   
        EditorKit htmlKit = jep.getEditorKitForContentType("text/html");
        HTMLDocument doc = (HTMLDocument) htmlKit.createDefaultDocument();
        jep.setEditorKit(htmlKit);
     
        try {
            //URL u = new URL(s);
		//URL u = new URL (test.toURL());
            //InputStream in = u.openStream();
            //jep.read(in, doc);
            jep.setPage(test.toURL());
        }
        catch (Exception e) {
            System.err.println(e);
        } 
      
        JScrollPane scrollPane = new JScrollPane(jep);     
        JFrame f = new JFrame(t);
        f.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
        f.getContentPane().add(scrollPane);
        f.setSize(700, 700);
        f.setVisible(true);
     }
}
