
import javax.swing.JDialog;
import javax.swing.JOptionPane;

/** HelpMenuOp
 *  This class will implement all the functions for the help menu
 *
 *  @author Serey Lay
 *  @version 1.1
 */
public class HelpMenuOp
{
	/** The current spreadsheet. */ 
    TerpSpreadSheet m_spreadsheet;
    
    
	/** The current table model. */
		UMTableModel m_model;
		/** The current option pane. */
		JOptionPane m_pane;
		/** The current dialog. */
		JDialog m_dialog;
		/** A currently unused constant. */
		int m_t = 2;
    
    /** This constructs the HelpMenuOp and set the parent applications
     * @param  spreadsheet
     */
    public HelpMenuOp(TerpSpreadSheet spreadsheet)
    {
	m_spreadsheet = spreadsheet;
        m_model = spreadsheet.getTableModel();
    }

    /** Function called just to create the about box with the information
     *
     */
    public void aboutBox() {
        String message =
	"<html><font size=2 color=black><p><font size=+1 color=blue><b>Terp Spreadsheet</b></font> Version 3.0</p>"+
	"<p><p><font color=green><b>Credits:</b><font></p>"+
	"<ul><li>Tony Fu</li><li>Magdalena Glinkowski</li><li>Michael Hill</li>"+
	"<li>Alexei Ivanov</li><li>Johny Johnson</li>" + 
        "<li>Ashy Palliparambil</li></ul></p>"+
	"<p>terpspreadsheet@cs.umd.edu</p></u></font></font>";

        JOptionPane.showMessageDialog(m_spreadsheet,message,
                                      "About TerpSpreadsheet",
                                      JOptionPane.INFORMATION_MESSAGE);
        
    }

    /** Creates the display menu
     * 
     */
    public void displayUserManual()
    {
	    //new HTMLDisplay("http://www.wam.umd.edu/~am43509/ss.htm","TerpOffice TerpSpreadsheet v2.0 Online User Manual");
        new HTMLDisplay("help.html","TerpOffice TerpSpreadsheet v3.0 User Manual");

    }
}
